### Method

# CM Client get_device_name

#### Declaration [src]

    const char*
    cm_client_get_device_name (
      CmClient* self
    )

#### Description [src]

Get the device name of the client `self` as set with `cm_client_set_device_name()`.

#### Return value

Type: `const char*`

The Device name string.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.